# PSF-LoginServer - master - net.psforever.objects.vital.damage.DamageCalculations
PSF - LoginServer - master - net.psforever.objects.vital.damage.DamageCalculations
Keywords: PSF LoginServer master net.psforever.objects.vital.damage.DamageCalculations

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package damage
  Definition Classes
    vital
- DamageCalculations
- DamageModifierFunctions
- DamageProfile
- GalaxyGunshipReduction
- RadialDegrade
- SameHit
- SpecificDamageProfile
- StandardDamageProfile

o

net.psforever.objects.vital.damage

# DamageCalculations

###

#### object DamageCalculations

A series of methods for extraction of the base damage against a given target type as well as incorporating damage modifiers from the other aspects of the interaction.

Source
  DamageCalculations.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageCalculations
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Selector = (DamageProfile) => Int

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AgainstAircraft(profile: DamageProfile): Int
5.  def AgainstBFR(profile: DamageProfile): Int
6.  def AgainstExoSuit(profile: DamageProfile): Int
7.  def AgainstMaxSuit(profile: DamageProfile): Int
8.  def AgainstNothing(profile: DamageProfile): Int
9.  def AgainstVehicle(profile: DamageProfile): Int
10.  def Raw(selector: (DamageProfile) => Int, data: DamageInteraction): Int

    Get the damage value.

    Get the damage value.

    selector

      the function that recovers the damage value

    data

      na

    returns

      the raw damage value

11.  def WithModifiers(selector: (DamageProfile) => Int, data: DamageInteraction): Int

    Get the damage value after it has been modified by context-related operations.

    Get the damage value after it has been modified by context-related operations. Used as the default modifier function for `DamageResistanceCalculations`.

    selector

      the function that recovers the damage value

    data

      the interaction being processed

    returns

      the accumulated damage value

12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped